## ros-lunar-warehouse-ros 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(warehouse_ros)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rostime
  std_msgs
  geometry_msgs
  pluginlib
  tf
)
find_package(Boost COMPONENTS system filesystem thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES warehouse_ros
  CATKIN_DEPENDS roscpp rostime std_msgs geometry_msgs
  DEPENDS Boost
)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LINK_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

set(warehouse_srcs
  src/database_loader.cpp
  src/transform_collection.cpp)

add_library(warehouse_ros SHARED ${warehouse_srcs})

target_link_libraries(warehouse_ros ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(warehouse_test_dbloader src/test_dbloader.cpp)
target_link_libraries(warehouse_test_dbloader warehouse_ros ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS warehouse_ros LIBRARY DESTINATION lib)
install(DIRECTORY include/ DESTINATION include FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp")

=== debian/changelog ===
ros-lunar-warehouse-ros (0.9.2-0xenial) xenial; urgency=high

  * Fix various smaller issues. (#41 <https://github.com/ros-planning/warehouse_ros/issues/41>)
    * fix guard name
    * virtual destructor for abstract class
    * use managed pointers - createUniqueInstance()
    * switch to C++11
    * clang-tidy modernize-use-override
  * Contributors: Robert Haschke

 -- Ioan Sucan <isucan@google.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-lunar-warehouse-ros (0.9.1-0xenial) xenial; urgency=high

  * fix missing return value (#40 <https://github.com/ros-planning/warehouse_ros/issues/40>)
  * update include statements to use new pluginlib and class_loader headers (#38 <https://github.com/ros-planning/warehouse_ros/issues/38>)
  * Contributors: Mikael Arguedas, Robert Haschke

 -- Ioan Sucan <isucan@google.com>  Tue, 16 Oct 2018 22:00:00 -0000

ros-lunar-warehouse-ros (0.9.0-0xenial) xenial; urgency=high

  * [fix] Omit dependency on mongo (and replace with pluginlib) #32 <https://github.com/ros-planning/warehouse_ros/issues/22>
  * [fix] Specifically including a header that seems to be required from Ubuntu Xenial.
  * [sys] Ensure headers and libraries are present for downstream pkgs #17 <https://github.com/ros-planning/warehouse_ros/issues/17>
  * [sys] Update CI config to test Jade and Kinetic #30 <https://github.com/ros-planning/warehouse_ros/issues/30>
  * [sys] Add rostest file and configs.
  * Contributors: Connor Brew, Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Michael Ferguson, Scott K Logan

 -- Ioan Sucan <isucan@google.com>  Sun, 19 Jun 2016 22:00:00 -0000

ros-lunar-warehouse-ros (0.8.8-0xenial) xenial; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- Ioan Sucan <isucan@google.com>  Tue, 30 Sep 2014 22:00:00 -0000

ros-lunar-warehouse-ros (0.8.5-0xenial) xenial; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- Ioan Sucan <isucan@google.com>  Sat, 22 Feb 2014 23:00:00 -0000

ros-lunar-warehouse-ros (0.8.4-0xenial) xenial; urgency=high

  * update how we find MongoDB

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-lunar-warehouse-ros (0.8.2-0xenial) xenial; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-lunar-warehouse-ros (0.8.1-0xenial) xenial; urgency=high

  * fix linking issues (missing SSL symbols) in deps, undef defined macros

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-warehouse-ros
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@google.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-pluginlib (>= 1.11.2), ros-lunar-roscpp, ros-lunar-rostest, ros-lunar-rostime, ros-lunar-std-msgs, ros-lunar-tf
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-lunar-warehouse-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-lunar-geometry-msgs, ros-lunar-pluginlib (>= 1.11.2), ros-lunar-roscpp, ros-lunar-rostime, ros-lunar-std-msgs, ros-lunar-tf
Description: Persistent storage of ROS messages
